/* b_matrix_io.h                                            */
/*                                                          */
/* Andrew Janke - rotor@cmr.uq.edu.au                       */
/*                                                          */
/* Largely nicked from input_transform in gen_xf_io.c       */
/*   in volume_io in an attempt at being compatible         */
/*                                                          */
/* Wed Apr  4 14:38:31 EST 2001 - initial version           */

/* Structure for B_matrix information */
typedef struct {
   int      ncoeff;
   int      nbvals;
   Real   **B;
} B_Matrix;

/* returns a new B_Matrix struct (pointer) */
B_Matrix *new_b_matrix(int ncoeff, int nbvals);

/* reads in a B_Matrix from a file (pointer) */
Status   input_b_matrix(const char *bmat_file, B_Matrix * Bmat);
